package com.demo.mylibrary.api;

import com.demo.mylibrary.Constant;
import com.demo.mylibrary.bean.APPInfo;
import com.demo.mylibrary.bean.BehaviorInfo;
import com.demo.mylibrary.bean.OutInfo;
import com.demo.mylibrary.bean.PageInfo;

import java.util.List;

import io.reactivex.Observable;
import retrofit2.http.Body;
import retrofit2.http.POST;

public interface ApiService {

    @POST(Constant.OPEN_APP)
    Observable<OutInfo> postAppInfo(@Body APPInfo appInfo);

    @POST(Constant.PAGE_LOG)
    Observable<OutInfo> postPageInfo(@Body PageInfo pageInfo);

    @POST(Constant.PAGE_LIST)
    Observable<OutInfo> postPageList(@Body List<PageInfo> pageInfos);

    @POST(Constant.BEHAVIOR_LOG)
    Observable<OutInfo> postBehavior(@Body BehaviorInfo behaviorInfo);

    @POST(Constant.BEHAVIOR_LIST)
    Observable<OutInfo> postBehaviorList(@Body List<BehaviorInfo> behaviorInfos);
}
